linux-mips
[Top] [All Lists]

Re: [PATCH 4/5] Use -Werror on TX39/TX49 boards

To: ralf@linux-mips.org
Subject: Re: [PATCH 4/5] Use -Werror on TX39/TX49 boards
From: Atsushi Nemoto <anemo@mba.ocn.ne.jp>
Date: Fri, 03 Aug 2007 23:30:21 +0900 (JST)
Cc: hch@lst.de, linux-mips@linux-mips.org
In-reply-to: <20070803133629.GB16519@linux-mips.org>
Original-recipient: rfc822;linux-mips@linux-mips.org
References: <20070802.233617.70476666.anemo@mba.ocn.ne.jp> <20070803132550.GA21454@lst.de> <20070803133629.GB16519@linux-mips.org>
Sender: linux-mips-bounce@linux-mips.org
On Fri, 3 Aug 2007 14:36:29 +0100, Ralf Baechle <ralf@linux-mips.org> wrote:
> > Please don't.  Adding -Werror is a complete pain in the ass for people
> > using new compilers or when we get things like __deprecated or
> > __warn_unused warnings from headers.  We've dropped it again from
> > the various placed that had introduced this.
> 
> It seems to crank up the the pain level to the point where people upgrade
> their code :-)

Well, I just followed recent MIPS trend ;) I don't mind if you dropped
them again.

---
Atsushi Nemoto

<Prev in Thread] Current Thread [Next in Thread>